/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/otherjobapplications.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/otherjobapplications.xml',
'<View objectType="XXAS_APL_OTHER_JOB_APPLS" title="Other job applications" defaultFormHandler="xxas_applicant_pkg.save_application_form">

  <CreateFields>
    <TextInput id="VACANCY_NAME" label="Vacancy" visible="true" enabled="false" required="false"/>
    <TextInput id="JOB_NAME" label="Job" visible="true" enabled="false" required="false"/>
    <TextInput id="POSITION_NAME" label="Position" visible="true" enabled="false" required="false"/>
    <TextInput id="ORGANIZATION_NAME" label="Organization" visible="true" enabled="false" required="false"/>
    <TextInput id="LOCATION_NAME" label="Location" visible="true" enabled="false" required="false"/>
    <TextInput id="STATUS" label="Status" visible="true" enabled="false" required="false"/>
    <DateTime id="DATE_APPLIED" label="Date Applied" visible="true" enabled="false" required="false"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/otherjobapplications.xml');
END;
/
COMMIT;
EXIT;
